Knips logoKnips API

List collections

Returns the collections in a feed. Use $offset and $limit to paginate, and $filter to narrow the result set.

GET
/feeds/{feedId}/collections

Returns the collections in a feed. Use $offset and $limit to paginate, and $filter to narrow the result set.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

feedId*string

Query Parameters

$offset?number
$limit?number
$filter?string
curl -X GET "https://example.com/feeds/string/collections"
{  "meta": {    "maxResults": 0.1  },  "items": [    {      "updated": "string",      "created": "string",      "externalId": "string",      "bodyHtml": "string",      "handle": "string",      "title": "string",      "feedId": "string",      "id": "string"    }  ]}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}